Linux下MyEclipse使用中出现的两个错误解决方法

C、C++和Java语言
回复
fox6.0
帖子: 5
注册时间: 2008-10-31 17:17
送出感谢: 0
接收感谢: 0

Linux下MyEclipse使用中出现的两个错误解决方法

#1

帖子 fox6.0 » 2010-11-05 16:46

1、无法安装:这里说的无法安装是指运行安装程序就出错的情况,有的时候将MyEclipse放到当前用户的目录下进行安装的时候往往会出错,如果你实在无法运行安装,可以试着将MyEclipse拷到一个其他的目录,比如我是在根目录下建立了一个soft文件夹,然后使用chown将这个文件夹转为当前的用户所有。拷贝安装程序到这里进行安装,结果就可以了。我的问题是这么解决的,大家可以参考一下;

2、Project not build......和.....could not be read或者Could not .....File 错误的解决:估计有不少人在linux下使用Myeclipse开发Web程序的时候会出现这个错误。出现这个错误的原因很简单,因为Linux系统出与安全考虑,对系统单个单个进程或者单个程序打开的文件数目进行了限制。当用MyEclipse进行开发时,前期可能不会有这个提示,但是当文件数目超出系统默认范围以后就会出错。解决的方法是在修改"/etc/security/limits.conf"文件,
例如在文件中添加这两句:
* soft nofile 65535
* hard nofile 65535
修改完毕后,保存并重新启动一下。你再运行一下MyEclipse试试!

这里只是我在使用的过程中碰到的两个错误,网上太多的人说话不负责人,到处胡乱转载,上面这两点是我自己总结出来的。希望能对各位有所帮助。
回复

回到 “C/C++/Java”